import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

class AndroidOaidId {
  const AndroidOaidId();

  static const _methodChannel = MethodChannel('android_oaid');


  Future<String?> getOaid() async {
    final isAndroid =
        !kIsWeb && defaultTargetPlatform == TargetPlatform.android;
    if (!isAndroid) return null;

    return _methodChannel.invokeMethod<String?>('getOaid');
  }

}
